def numeral_square(num: int):
    """
    A partir d'un entier positif, renvoie la racine numérique,
    à savoir la somme récursive de tous les chiffres d'un nombre.
    
    Exemples :
    16   -> 1+6=7
    1567 -> 1+5+6+7=19, 1+9=10, 1+0=1
    """
    if num < 0:
        return "Merci d'utiliser un entier positif."
    start = num

    while len(str(num)) > 1:
        base = 0

        for n in str(num):
            base += int(n)
        
        num = base
    
    return f"La racine numérique de {start} donne {base}."
